Subject: [spring] Request for WG adoption of draft-dong-spring-sr-for-enhanced-vpn-05

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Mon, 21 Oct 2019 05:21:40 +0000

Dear WG and Chairs, 

A new revision of draft-dong-spring-sr-for-enhanced-vpn has been uploaded to resolve some recently received comments. This document describes the Segment Routing based mechanism to provide enhanced VPN, which aligns with the enhanced VPN (VPN)+ framework document in TEAS WG. The mechanism could be used to enable transport network slicing for 5G.

The major changes compared to the -04 version are:

  1. Update the draft template. 

  2. Add reference to the definition of network slicing in 3GPP TS23.501 and the definition of transport network slicing in draft-ietf-teas-enhanced-vpn-03 respectively.

  3. Editorial changes in several sections to clarify and improve the readability.

  4. Change some coauthors' affiliation and mail address.

This update shows that the major content of this draft has become stable and solid, thus the authors would like to request the WG to consider the adoption of this document. 

Comments are always welcome. Thanks.

Best regards,
Jie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, October 16, 2019 3:28 PM
To: Takuya Miyasaka <[email-masked]>; Zhenqiang Li <[email-masked]>; Fengwei Qin <[email-masked]>; Stewart Bryant <[email-masked]>; Yongqing Zhu <[email-masked]>; Dongjie (Jimmy) <[email-masked]>
Subject: New Version Notification for draft-dong-spring-sr-for-enhanced-vpn-05.txt

A new version of I-D, draft-dong-spring-sr-for-enhanced-vpn-05.txt
has been successfully submitted by Jie Dong and posted to the IETF repository.

Name:		draft-dong-spring-sr-for-enhanced-vpn
Revision:	05
Title:		Segment Routing for Enhanced VPN Service
Document date:	2019-10-16
Group:		Individual Submission
Pages:		20
URL:            https://www.ietf.org/internet-drafts/draft-dong-spring-sr-for-enhanced-vpn-05.txt
Status:         https://datatracker.ietf.org/doc/draft-dong-spring-sr-for-enhanced-vpn/
Htmlized:       https://tools.ietf.org/html/draft-dong-spring-sr-for-enhanced-vpn-05
Htmlized:       https://datatracker.ietf.org/doc/html/draft-dong-spring-sr-for-enhanced-vpn
Diff:           https://www.ietf.org/rfcdiff?url2=draft-dong-spring-sr-for-enhanced-vpn-05

Abstract:
   Enhanced VPN (VPN+) is an enhancement to VPN services to enable it to
   support the needs of new applications, particularly applications that
   are associated with 5G services.  These applications require better
   isolation from both control and data plane's perspective and have
   more stringent performance requirements than can be provided with
   overlay VPNs.  The characteristics of an enhanced VPN as perceived by
   its tenant needs to be comparable to those of a dedicated private
   network.  This requires tight integration between the overlay VPN and
   the underlay network topology and resources in a scalable manner.  An
   enhanced VPN may form the underpinning of 5G network slicing, but
   will also be of use in its own right.  This document describes how to
   use segment routing based mechanisms to provide the enhanced VPN
   service with the required network topology and resources.  The
   overall mechanism of providing segment routing based enhanced VPN
   service is also described.  The proposed mechanism is applicable to
   both segment routing with MPLS data plane (SR-MPLS) and segment
   routing with IPv6 data plane (SRv6).

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: li zhenqiang <[email-masked]>
Date: Mon, 21 Oct 2019 10:16:23 +0000

Hello all and chairs,

I support the adoption poll as a co-author. I believe the doc is mature enough to be a wg item.

Best Regards,
Zhenqiang Li
________________________________
[email-masked]

From: Dongjie (Jimmy)<mailto:[email-masked]>
Date: 2019-10-21 13:21
To: 'SPRING WG List'<mailto:[email-masked]>
CC: [email-masked]<mailto:[email-masked]>
Subject: [spring] Request for WG adoption of draft-dong-spring-sr-for-enhanced-vpn-05
Dear WG and Chairs,

Best regards,
Jie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, October 16, 2019 3:28 PM
To: Takuya Miyasaka <[email-masked]>; Zhenqiang Li <[email-masked]>; Fengwei Qin <[email-masked]>; Stewart Bryant <[email-masked]>; Yongqing Zhu <[email-masked]>; Dongjie (Jimmy) <[email-masked]>
Subject: New Version Notification for draft-dong-spring-sr-for-enhanced-vpn-05.txt

Abstract:

The IETF Secretariat

_______________________________________________
spring mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/spring

---

From: Loa Andersson <[email-masked]>
Date: Mon, 21 Oct 2019 12:33:27 +0200

WG,

I reviewed this document before the last version, my comments have been
addressed and I think this is ready for adoption as a working grouo
document.

/Loa

On 2019-10-21 12:16, li zhenqiang wrote:
> ------------------------------------------------------------------------
> [email-masked]
> 
>     *From:* Dongjie (Jimmy) <mailto:[email-masked]>
>     *Date:* 2019-10-21 13:21
>     *To:* 'SPRING WG List' <mailto:[email-masked]>
>     *CC:* [email-masked] <mailto:[email-masked]>
>     *Subject:* [spring] Request for WG adoption of
>     draft-dong-spring-sr-for-enhanced-vpn-05
>     Dear WG and Chairs,
>     A new revision of draft-dong-spring-sr-for-enhanced-vpn has been
>     uploaded to resolve some recently received comments. This document
>     describes the Segment Routing based mechanism to provide enhanced
>     VPN, which aligns with the enhanced VPN (VPN)+ framework document in
>     TEAS WG. The mechanism could be used to enable transport network
>     slicing for 5G.
>        2. Add reference to the definition of network slicing in 3GPP
>     TS23.501 and the definition of transport network slicing in
>     draft-ietf-teas-enhanced-vpn-03 respectively.
>     This update shows that the major content of this draft has become
>     stable and solid, thus the authors would like to request the WG to
>     consider the adoption of this document.
>     To: Takuya Miyasaka <[email-masked]>; Zhenqiang Li
>     <[email-masked]>; Fengwei Qin
>     <[email-masked]>; Stewart Bryant
>     <[email-masked]>; Yongqing Zhu <[email-masked]>;
>     Dongjie (Jimmy) <[email-masked]>
>     Subject: New Version Notification for
>     draft-dong-spring-sr-for-enhanced-vpn-05.txt
>     URL:           
>     https://www.ietf.org/internet-drafts/draft-dong-spring-sr-for-enhanced-vpn-05.txt
>     Status:        
>     https://datatracker.ietf.org/doc/draft-dong-spring-sr-for-enhanced-vpn/
>     Htmlized:      
>     https://tools.ietf.org/html/draft-dong-spring-sr-for-enhanced-vpn-05
>     Htmlized:      
>     https://datatracker.ietf..org/doc/html/draft-dong-spring-sr-for-enhanced-vpn
>     Diff:          
>     https://www.ietf.org/rfcdiff?url2=draft-dong-spring-sr-for-enhanced-vpn-05
>     Abstract:
>     Please note that it may take a couple of minutes from the time of
>     submission until the htmlized version and diff are available at
>     tools.ietf.org.
>     The IETF Secretariat

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Mon, 21 Oct 2019 12:20:10 +0000

I support the adoption of this document.

It is well-written, and I think it is very timely and useful, as the SR being widely developed and the requirements for enhanced VPN services being strong.

Thanks
Jingrong

-----Original Message-----
From: spring [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Monday, October 21, 2019 6:33 PM
To: [email-masked]
Cc: Dongjie (Jimmy) <[email-masked]>; [email-masked]; li zhenqiang <[email-masked]>
Subject: Re: [spring] Request for WG adoption of draft-dong-spring-sr-for-enhanced-vpn-05

WG,

I reviewed this document before the last version, my comments have been addressed and I think this is ready for adoption as a working grouo document.

/Loa

--

---

From: "qinfengwei" <[email-masked]>
Date: Mon, 21 Oct 2019 23:01:25 +0800

WG,
I support the adoption poll as a co-author.
I have reviewed this doc, my comments have been addressed and I think it is
mature enough to be a working group doc.

Thanks,
Fengwei Qin

-----邮件原件-----
发件人: spring [mailto:[email-masked]] 代表 Dongjie (Jimmy)
发送时间: 2019年10月21日 13:22
收件人: 'SPRING WG List'
抄送: [email-masked]
主题: [spring] Request for WG adoption of

Dear WG and Chairs, 

A new revision of draft-dong-spring-sr-for-enhanced-vpn has been uploaded to
resolve some recently received comments. This document describes the Segment
Routing based mechanism to provide enhanced VPN, which aligns with the
enhanced VPN (VPN)+ framework document in TEAS WG. The mechanism could be
used to enable transport network slicing for 5G.

  2. Add reference to the definition of network slicing in 3GPP TS23.501 and
the definition of transport network slicing in
draft-ietf-teas-enhanced-vpn-03 respectively.

  3. Editorial changes in several sections to clarify and improve the
readability.

This update shows that the major content of this draft has become stable and
solid, thus the authors would like to request the WG to consider the
adoption of this document. 

Best regards,
Jie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, October 16, 2019 3:28 PM
To: Takuya Miyasaka <[email-masked]>; Zhenqiang Li
<[email-masked]>; Fengwei Qin <[email-masked]>;
Stewart Bryant <[email-masked]>; Yongqing Zhu
<[email-masked]>; Dongjie (Jimmy) <[email-masked]>
Subject: New Version Notification for
draft-dong-spring-sr-for-enhanced-vpn-05.txt

A new version of I-D, draft-dong-spring-sr-for-enhanced-vpn-05.txt
has been successfully submitted by Jie Dong and posted to the IETF
repository.

Name:		draft-dong-spring-sr-for-enhanced-vpn
Revision:	05
Title:		Segment Routing for Enhanced VPN Service
Document date:	2019-10-16
Group:		Individual Submission
Pages:		20
URL:
https://www.ietf.org/internet-drafts/draft-dong-spring-sr-for-enhanced-vpn-0
5.txt
Status:
https://datatracker.ietf.org/doc/draft-dong-spring-sr-for-enhanced-vpn/
Htmlized:
https://tools.ietf.org/html/draft-dong-spring-sr-for-enhanced-vpn-05
Htmlized:
https://datatracker.ietf.org/doc/html/draft-dong-spring-sr-for-enhanced-vpn
Diff:
https://www.ietf.org/rfcdiff?url2=draft-dong-spring-sr-for-enhanced-vpn-05

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 22 Oct 2019 12:37:38 +0000

Hi all,

I have read the document and I think that matches the two criteria that are usually considered for deciding whether the draft can be adopted:

1.       It discusses a high relevant problem within the scope of the WG Charter

2.       It provides a reasonable basis for the solution of this problem.

At the same time I have some concerns about this draft. These concerns are not blockers for adoption, but, IMHOL and FWIW, should be resolved before the draft moves further.

Several fragments in Section 2.1 need some additional work IMHO. E.g. (the problematic fragments are highlighted)::

1.       The following text may be misleading

   For one particular IGP link, multiple Adj-SIDs SHOULD be allocated,
   each of which is associated with a particular virtual network
   topology, and MAY represent a subset of link resources.  Several
   approaches can be used to partition the link resource, such as
   logical sub-interfaces, dedicated queues, etc.

I am not sure a single IGP link can be split into multiple logical sub-interfaces. As I see it, logical sub-interfaces of a link usually act as individual IGP links of and by themselves.

2.       Immediately after that the draft says that:

   Similarly, for one particular IGP node, multiple node-SIDs SHOULD be

   allocated, each of which is associated with a specific virtual

   network topology, and may represent a subset of the node resource

   (e.g. the processing resources).

I wonder why only Node-SIDs and not any Prefix-SID can be associated with  a specific virtual topology. Among other things, such a restriction prevents using Anycast SIDs (which, by definition, are not Node-SIDs).

3.       The following text seems to contradict the basic architecture of SR:

   A group of adj-SIDs and node-SIDs associated with the same virtual

   network can be used to construct the SR SID-lists (either strict or

   loose) to steer the traffic of a particular enhanced VPN service.

   This group of SIDs MAY also represent the set of network resources

   which are reserved for a specific enhanced VPN, or a group of

   enhanced VPNs.

It seems to suggest that a list of SIDs may be associated with a particular network resource while specific SIDs in this list are not associated with this resource. But in SR-MPLS, only the current active SID defines all aspects of the packet disposition, including the resources used for its forwarding.

4.       The following restriction looks excessively strong to me:

When a node-SID is used in the SID-list to build an SR loose path, the

transit nodes use the node-SID to identify the virtual network, and

MAY process the packet using the local resources allocated for the

corresponding virtual network.  Note in this case, Penultimate Hop

Popping (PHP) [RFC3031<https://tools.ietf.org/html/rfc3031>] MUST be disabled.

IMHO and FWIW the no PHP requirement may be relaxed, because the virtual topology and the resources associated with it would be derived from the next active SID (if any). And if there is no next SID, these resources could be inferred from the specific instance of the enhanced VPN service.  (Maybe the draft should explicitly state that a given enhanced VPN service instance should be restricted to using a given virtual topology and a given set of network resources.)

The procedures described in Section 4 of the draft seem to assume that each enhanced VPN service will use its own virtual topology and resources in the underlay.

At the same time the draft mentions in many places that a given virtual topology and its associated set of network resources can be used by a group of enhanved VPN service instances.

The latter looks like a much nore scalable approach to me.

As already mentioned, I do not see any of my comments as blockers for adoption of the draft.  Hopefully they will be useful.

Regards,

Sasha

Office: +972-39266302

Cell:      +972-549266302

Email:   [email-masked]

-----Original Message-----
From: spring <[email-masked]> On Behalf Of Dongjie (Jimmy)
Sent: Monday, October 21, 2019 8:22 AM
To: 'SPRING WG List' <[email-masked]>
Cc: [email-masked]
Subject: [spring] Request for WG adoption of draft-dong-spring-sr-for-enhanced-vpn-05

Dear WG and Chairs,

Best regards,

Jie

-----Original Message-----

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

To: Takuya Miyasaka <[email-masked]<mailto:[email-masked]>>; Zhenqiang Li <[email-masked]<mailto:[email-masked]>>; Fengwei Qin <[email-masked]<mailto:[email-masked]>>; Stewart Bryant <[email-masked]<mailto:[email-masked]>>; Yongqing Zhu <[email-masked]<mailto:[email-masked]>>; Dongjie (Jimmy) <[email-masked]<mailto:[email-masked]>>

Revision:              05

Pages:                   20

URL:            https://clicktime.symantec.com/3ALPFrm3RynBsKbF1oU2uum6H2?u=https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-dong-spring-sr-for-enhanced-vpn-05.txt

Status:         https://clicktime.symantec.com/3Ke26NtAMQpPmNpsJSjbjfC6H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-dong-spring-sr-for-enhanced-vpn%2F

Htmlized:       https://clicktime.symantec.com/38csYFW7vnAShtJtkSWCXTa6H2?u=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-dong-spring-sr-for-enhanced-vpn-05

Htmlized:       https://clicktime.symantec.com/354AuwRvQiKbYh6cGRF6EnT6H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-dong-spring-sr-for-enhanced-vpn

Diff:           https://clicktime.symantec.com/3HgF1QzcMezZQRxNmfgfoeE6H2?u=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-dong-spring-sr-for-enhanced-vpn-05

Abstract:

The IETF Secretariat

spring mailing list

[email-masked]<mailto:[email-masked]>

https://clicktime.symantec.com/3Sp5waqnzS9HdVXRw1FadGh6H2?u=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fspring

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Wed, 23 Oct 2019 08:29:33 +0000

Hi Sasha,

Thanks a lot for your review comments. Please see some replies inline with [Jie]:

From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Tuesday, October 22, 2019 2:38 PM
To: 'SPRING WG List' <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Dongjie (Jimmy) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Request for WG adoption of draft-dong-spring-sr-for-enhanced-vpn-05

Hi all,

[Jie] Thanks for your support.

[Jie] The logical sub-interfaces here can be considered as L2 virtual interfaces, or something equivalent to them. The point is they can be distinguished in data plane, while in control plane they could share the same IGP session.

[Jie] Good catch.  I agree that Anycast SID should also be covered. We will change the node-SIDs to prefix-SID in next version.

   enhanced VPNs.

[Jie] The text allows flexible semantics and behavior of SIDs, thus a SID may or may not be associated with a particular network resource in the forwarding plane, so as to meet both the resource isolation and resource sharing cases. For each hop along the path, still it is the active SID which is used to determine the forwarding behavior, including whether specific resource should be used.

[Jie] This makes sense to me. We will consider to relax this requirement in next version.

[Jie] Yes a group of enhanced VPNs could use the same virtual topology and the associated set of network resources. And the draft does not exclude the case in which a specific enhanced VPN can have its own virtual topology and network resources. In summary, both cases can be supported according to the service requirement. We could clarify this in next version.

[Jie] They are very helpful for improving this document. Thanks again for your comments and support.

Best regards,

Jie

Regards,

Sasha

Office: +972-39266302

Cell:      +972-549266302

Email:   [email-masked]<mailto:[email-masked]>

-----Original Message-----
From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Dongjie (Jimmy)
Sent: Monday, October 21, 2019 8:22 AM
To: 'SPRING WG List' <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [spring] Request for WG adoption of draft-dong-spring-sr-for-enhanced-vpn-05

Dear WG and Chairs,

Best regards,

Jie

-----Original Message-----

Revision:              05

Pages:                   20

Abstract:

The IETF Secretariat

spring mailing list

---

From: <[email-masked]>
Date: Wed, 23 Oct 2019 08:59:14 +0000

Hello Zhenqiang Li,

Thank you for expressing your interest in this document.
WG adoption poll are initiated by the chairs. For this document, the adoption poll has not started.

In the meantime, you are welcome to provide a review and comments. That's how we improve and progress documents.

Best regards,
--Bruno

From: li zhenqiang [mailto:[email-masked]]
Sent: Monday, October 21, 2019 12:16 PM
To: Dongjie (Jimmy); [email-masked]
Cc: [email-masked]
Subject: Re: [spring] Request for WG adoption of draft-dong-spring-sr-for-enhanced-vpn-05

Hello all and chairs,

Best Regards,
Zhenqiang Li

Best regards,
Jie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, October 16, 2019 3:28 PM
To: Takuya Miyasaka <[email-masked]>; Zhenqiang Li <[email-masked]>; Fengwei Qin <[email-masked]>; Stewart Bryant <[email-masked]>; Yongqing Zhu <[email-masked]>; Dongjie (Jimmy) <[email-masked]>
Subject: New Version Notification for draft-dong-spring-sr-for-enhanced-vpn-05.txt

Abstract:

The IETF Secretariat

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: li zhenqiang <[email-masked]>
Date: Wed, 23 Oct 2019 09:23:19 +0000

Dear Mr. Decraene,

I know the adoption poll does not start and the chairs are responsible for it.

My mail is not intended to start the poll but to express the solicitation from the authors since the version is 05 now and all the technical comments have been incorparated in the current version.
Sorry for the confusion that bothers you.

Best Regards,
Zhenqiang Li

From: [email-masked]<mailto:[email-masked]>
Date: 2019-10-23 16:59
To: li zhenqiang<mailto:[email-masked]>
CC: [email-masked]<mailto:[email-masked]>; Dongjie (Jimmy)<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: [spring] Request for WG adoption of draft-dong-spring-sr-for-enhanced-vpn-05
Hello Zhenqiang Li,

In the meantime, you are welcome to provide a review and comments. That’s how we improve and progress documents.

Best regards,
--Bruno

Hello all and chairs,

Best Regards,
Zhenqiang Li

Best regards,
Jie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, October 16, 2019 3:28 PM
To: Takuya Miyasaka <[email-masked]>; Zhenqiang Li <[email-masked]>; Fengwei Qin <[email-masked]>; Stewart Bryant <[email-masked]>; Yongqing Zhu <[email-masked]>; Dongjie (Jimmy) <[email-masked]>
Subject: New Version Notification for draft-dong-spring-sr-for-enhanced-vpn-05.txt

Abstract:

The IETF Secretariat